Upgrade error Gutsy to Hardy

Bug #184758 reported by Hellsgator on 2008-01-21
6
Affects Status Importance Assigned to Milestone
update-manager (Ubuntu)
Undecided
Unassigned

Bug Description

Hello there,

I am not sure how to report a bug, since i am kinda new with Ubuntu, but here it goes... I will put down all info from var/log/dist-upgrade. Any tips are very welcome, also if i have reported the bug in a wrong way.

Got a bug during upgrading from Gutsy to Hardy:

Starting
Starting 2
WARNING: can't read '/usr/share/update-manager/mirrors.cfg'
WARNING: can't read '/usr/share/update-manager/mirrors.cfg'
WARNING: can't read '/usr/share/update-manager/mirrors.cfg'
WARNING: can't read '/usr/share/update-manager/mirrors.cfg'
Investigating libgtk2.0-0
Package libgtk2.0-0 has broken dep on gtk2-engines-thinice
  Considering gtk2-engines-thinice 0 as a solution to libgtk2.0-0 937
  Added gtk2-engines-thinice to the remove list
Package libgtk2.0-0 has broken dep on gtk2-engines-crux
  Considering gtk2-engines-crux 0 as a solution to libgtk2.0-0 937
  Added gtk2-engines-crux to the remove list
Package libgtk2.0-0 has broken dep on gtk2-engines-mist
  Considering gtk2-engines-mist 0 as a solution to libgtk2.0-0 937
  Added gtk2-engines-mist to the remove list
Package libgtk2.0-0 has broken dep on gtk2-engines-highcontrast
  Considering gtk2-engines-highcontrast 0 as a solution to libgtk2.0-0 937
  Added gtk2-engines-highcontrast to the remove list
Package libgtk2.0-0 has broken dep on gtk2-engines-lighthouseblue
  Considering gtk2-engines-lighthouseblue 0 as a solution to libgtk2.0-0 937
  Added gtk2-engines-lighthouseblue to the remove list
Package libgtk2.0-0 has broken dep on gtk2-engines-industrial
  Considering gtk2-engines-industrial 0 as a solution to libgtk2.0-0 937
  Added gtk2-engines-industrial to the remove list
Package libgtk2.0-0 has broken dep on gtk2-engines-redmond95
  Considering gtk2-engines-redmond95 0 as a solution to libgtk2.0-0 937
  Added gtk2-engines-redmond95 to the remove list
Package libgtk2.0-0 has broken dep on gtk2-engines-smooth
  Considering gtk2-engines-smooth 0 as a solution to libgtk2.0-0 937
  Added gtk2-engines-smooth to the remove list
  Fixing libgtk2.0-0 via remove of gtk2-engines-thinice
  Fixing libgtk2.0-0 via remove of gtk2-engines-crux
  Fixing libgtk2.0-0 via remove of gtk2-engines-mist
  Fixing libgtk2.0-0 via remove of gtk2-engines-highcontrast
  Fixing libgtk2.0-0 via remove of gtk2-engines-lighthouseblue
  Fixing libgtk2.0-0 via remove of gtk2-engines-industrial
  Fixing libgtk2.0-0 via remove of gtk2-engines-redmond95
  Fixing libgtk2.0-0 via remove of gtk2-engines-smooth
Investigating python-gtk2
Package python-gtk2 has broken dep on python2.4-gtk2
  Considering python2.4-gtk2 6 as a solution to python-gtk2 58
  Added python2.4-gtk2 to the remove list
  Fixing python-gtk2 via remove of python2.4-gtk2
Investigating python-glade2
Package python-glade2 has broken dep on python2.4-glade2
  Considering python2.4-glade2 0 as a solution to python-glade2 30
  Added python2.4-glade2 to the remove list
  Fixing python-glade2 via remove of python2.4-glade2
Investigating upstart
Package upstart has broken dep on sysvinit
  Considering sysvinit 5100 as a solution to upstart 25
  Holding Back upstart rather than change sysvinit
Investigating python-numeric
Package python-numeric has broken dep on python2.4-numeric
  Considering python2.4-numeric 5 as a solution to python-numeric 23
  Added python2.4-numeric to the remove list
  Fixing python-numeric via remove of python2.4-numeric
Investigating python-cairo
Package python-cairo has broken dep on python2.4-cairo
  Considering python2.4-cairo 5 as a solution to python-cairo 21
  Added python2.4-cairo to the remove list
  Fixing python-cairo via remove of python2.4-cairo
Investigating python-gobject
Package python-gobject has broken dep on python2.4-gobject
  Considering python2.4-gobject 5 as a solution to python-gobject 21
  Added python2.4-gobject to the remove list
  Fixing python-gobject via remove of python2.4-gobject
Investigating libgl1-mesa-glx
Package libgl1-mesa-glx has broken dep on libgl1
  Considering libgl1-mesa 3 as a solution to libgl1-mesa-glx 19
  Added libgl1-mesa to the remove list
  Considering libgl1-mesa-swx11 0 as a solution to libgl1-mesa-glx 19
Package libgl1-mesa-glx has broken dep on libgl1-mesa
  Considering libgl1-mesa 3 as a solution to libgl1-mesa-glx 19
  Added libgl1-mesa to the remove list
  Fixing libgl1-mesa-glx via remove of libgl1-mesa
  Fixing libgl1-mesa-glx via remove of libgl1-mesa
Investigating python-pyorbit
Package python-pyorbit has broken dep on python2.4-pyorbit
  Considering python2.4-pyorbit 5 as a solution to python-pyorbit 18
  Added python2.4-pyorbit to the remove list
  Fixing python-pyorbit via remove of python2.4-pyorbit
Investigating python-apt
Package python-apt has broken dep on python2.4-apt
  Considering python2.4-apt 0 as a solution to python-apt 15
  Added python2.4-apt to the remove list
  Fixing python-apt via remove of python2.4-apt
Investigating libnewt0.52
Package libnewt0.52 has broken dep on libnewt0.51
  Considering libnewt0.51 3 as a solution to libnewt0.52 13
  Added libnewt0.51 to the remove list
  Fixing libnewt0.52 via remove of libnewt0.51
Investigating upstart-compat-sysv
Package upstart-compat-sysv has broken dep on upstart
  Considering upstart 25 as a solution to upstart-compat-sysv 12
  Holding Back upstart-compat-sysv rather than change upstart
Investigating python-gnome2
Package python-gnome2 has broken dep on python2.4-gnome2

2008-01-20 21:31:31,412 DEBUG Starting to check for auto-install states that need fixup
2008-01-20 21:31:31,419 DEBUG Found installed meta-pkg: 'ubuntu-standard'
2008-01-20 21:31:31,419 INFO Removed auto-flag from package 'command-not-found'
2008-01-20 21:31:31,420 INFO Removed auto-flag from package 'update-manager-core'
2008-01-20 21:31:31,424 DEBUG Found installed meta-pkg: 'ubuntu-minimal'
2008-01-20 21:31:31,424 INFO Removed auto-flag from package 'apt'
2008-01-20 21:31:31,427 DEBUG Found installed meta-pkg: 'ubuntu-desktop'
2008-01-20 21:31:31,428 INFO Removed auto-flag from package 'avahi-autoipd'
2008-01-20 21:31:31,428 INFO Removed auto-flag from package 'dcraw'
2008-01-20 21:31:31,428 INFO Removed auto-flag from package 'desktop-effects'
2008-01-20 21:31:31,428 INFO Removed auto-flag from package 'genisoimage'
2008-01-20 21:31:31,429 INFO Removed auto-flag from package 'gs-esp-x'
2008-01-20 21:31:31,429 INFO Removed auto-flag from package 'gtk2-engines-pixbuf'
2008-01-20 21:31:31,429 INFO Removed auto-flag from package 'libnss-mdns'
2008-01-20 21:31:31,430 INFO Removed auto-flag from package 'openprinting-ppds'
2008-01-20 21:31:31,430 INFO Removed auto-flag from package 'wodim'
2008-01-20 21:31:31,430 INFO Removed auto-flag from package 'espeak'
2008-01-20 21:31:31,431 INFO Removed auto-flag from package 'gcc'
2008-01-20 21:31:31,431 INFO Removed auto-flag from package 'gnome-orca'
2008-01-20 21:31:31,431 INFO Removed auto-flag from package 'gnome-user-guide'
2008-01-20 21:31:31,431 INFO Removed auto-flag from package 'linux-headers-generic'
2008-01-20 21:31:31,431 INFO Removed auto-flag from package 'make'
2008-01-20 21:31:31,432 INFO Removed auto-flag from package 'network-manager-gnome'
2008-01-20 21:31:31,432 INFO Removed auto-flag from package 'onboard'
2008-01-20 21:31:31,432 INFO Removed auto-flag from package 'restricted-manager'
2008-01-20 21:31:31,432 INFO Removed auto-flag from package 'scim-tables-additional'

2008-01-21 09:07:18,926 INFO release-upgrader version '0.87.2' started
2008-01-21 09:07:21,260 DEBUG Using 'DistUpgradeViewGtk' view
2008-01-21 09:07:21,400 DEBUG lsb-release: 'gutsy'
2008-01-21 09:07:21,401 DEBUG _pythonSymlinkCheck run
2008-01-21 09:07:22,656 DEBUG checkViewDepends()
2008-01-21 09:07:52,688 DEBUG Foreign:
2008-01-21 09:07:52,689 DEBUG Obsolete: linux-image-2.6.15-23-386 linux-image-2.6.20-16-386 linux-restricted-modules-2.6.20-16-386 linux-restricted-modules-2.6.15-23-386 linux-image-2.6.17-12-386 linux-restricted-modules-2.6.17-12-386
2008-01-21 09:07:52,690 DEBUG updateSourcesList()
2008-01-21 09:07:52,812 DEBUG rewriteSourcesList()
2008-01-21 09:07:52,815 DEBUG examining: 'deb ftp://ftp.tudelft.nl/pub/Linux/archive.ubuntu.com/ gutsy main restricted'
2008-01-21 09:07:52,817 DEBUG entry 'deb ftp://ftp.tudelft.nl/pub/Linux/archive.ubuntu.com/ hardy main restricted' updated to new dist
2008-01-21 09:07:52,817 DEBUG examining: 'deb-src ftp://ftp.tudelft.nl/pub/Linux/archive.ubuntu.com/ gutsy main restricted'
2008-01-21 09:07:52,819 DEBUG entry 'deb-src ftp://ftp.tudelft.nl/pub/Linux/archive.ubuntu.com/ hardy main restricted' updated to new dist
2008-01-21 09:07:52,819 DEBUG examining: 'deb ftp://ftp.tudelft.nl/pub/Linux/archive.ubuntu.com/ gutsy-updates main restricted'
2008-01-21 09:07:52,820 DEBUG entry 'deb ftp://ftp.tudelft.nl/pub/Linux/archive.ubuntu.com/ hardy-updates main restricted' updated to new dist
2008-01-21 09:07:52,821 DEBUG examining: 'deb-src ftp://ftp.tudelft.nl/pub/Linux/archive.ubuntu.com/ gutsy-updates main restricted'
2008-01-21 09:07:52,822 DEBUG entry 'deb-src ftp://ftp.tudelft.nl/pub/Linux/archive.ubuntu.com/ hardy-updates main restricted' updated to new dist
2008-01-21 09:07:52,822 DEBUG examining: 'deb http://au.archive.ubuntu.com/ubuntu/ dapper universe'
2008-01-21 09:07:52,822 DEBUG entry '# deb http://au.archive.ubuntu.com/ubuntu/ dapper universe' was disabled (unknown dist)
2008-01-21 09:07:52,823 DEBUG examining: 'deb-src http://au.archive.ubuntu.com/ubuntu/ dapper universe'
2008-01-21 09:07:52,823 DEBUG entry '# deb-src http://au.archive.ubuntu.com/ubuntu/ dapper universe' was disabled (unknown dist)
2008-01-21 09:07:52,823 DEBUG examining: 'deb ftp://ftp.tudelft.nl/pub/Linux/archive.ubuntu.com/ gutsy-security main restricted'
2008-01-21 09:07:52,825 DEBUG entry 'deb ftp://ftp.tudelft.nl/pub/Linux/archive.ubuntu.com/ hardy-security main restricted' updated to new dist
2008-01-21 09:07:52,825 DEBUG examining: 'deb-src ftp://ftp.tudelft.nl/pub/Linux/archive.ubuntu.com/ gutsy-security main restricted'
2008-01-21 09:07:52,826 DEBUG entry 'deb-src ftp://ftp.tudelft.nl/pub/Linux/archive.ubuntu.com/ hardy-security main restricted' updated to new dist
2008-01-21 09:07:52,826 DEBUG examining: 'deb http://security.ubuntu.com/ubuntu dapper-security universe'
2008-01-21 09:07:52,827 DEBUG entry '# deb http://security.ubuntu.com/ubuntu dapper-security universe' was disabled (unknown dist)
2008-01-21 09:08:06,765 DEBUG Installing 'language-support-en' (Distro KeepInstalledSection rule: translations)
2008-01-21 09:11:16,759 ERROR Dist-upgrade failed: 'E:Unable to correct problems, you have held broken packages.'

2008-01-20 21:34:08,334 INFO release-upgrader version '0.81' started
2008-01-20 21:34:10,850 DEBUG lsb-release: 'feisty'
2008-01-20 21:34:10,850 DEBUG _pythonSymlinkCheck run
2008-01-20 21:34:11,323 DEBUG checkViewDepends()
2008-01-20 21:34:11,324 DEBUG getRequiredBackports()
2008-01-20 21:34:17,264 DEBUG marking 'release-upgrader-apt' for install
2008-01-20 21:34:17,308 DEBUG marking 'release-upgrader-dpkg' for install
2008-01-20 21:35:13,010 DEBUG pre-requists item: '<pkgAcquire::ItemIterator object: Status: 2 Complete: 1 Local: 0 IsTrusted: 1 FileSize: 1924684 DestFile:'/tmp/tmpJbmwP0/backports/release-upgrader-dpkg_1.14.5ubuntu11.2_i386.udeb' DescURI: 'http://au.archive.ubuntu.com/ubuntu/pool/main/r/release-upgrader-dpkg/release-upgrader-dpkg_1.14.5ubuntu11.2'
2008-01-20 21:35:13,011 DEBUG pre-requists item: '<pkgAcquire::ItemIterator object: Status: 2 Complete: 1 Local: 0 IsTrusted: 1 FileSize: 1307096 DestFile:'/tmp/tmpJbmwP0/backports/release-upgrader-apt_0.6.46.4ubuntu10.3_i386.udeb' DescURI: 'http://au.archive.ubuntu.com/ubuntu/pool/main/r/release-upgrader-apt/release-upgrader-apt_0.6.46.4ubuntu10.'
2008-01-20 21:35:13,012 DEBUG extracting udeb '/tmp/tmpJbmwP0/backports/release-upgrader-dpkg_1.14.5ubuntu11.2_i386.udeb'
2008-01-20 21:35:13,169 DEBUG extracting udeb '/tmp/tmpJbmwP0/backports/release-upgrader-apt_0.6.46.4ubuntu10.3_i386.udeb'

Hellsgator (hellsgate) wrote :

Fixed the bug, i think... (yea, victory!).

Added 'deb http://archive.ubuntu.com/ubuntu/ gutsy main restricted universe' in my repository list and it started installing the upgrade.

Hellsgator (hellsgate) wrote :

Well, close, but no sigar...

Managed to install 8.04 and it kept hanging on the starting screen, unable to log in and do anything. I've gotten the follwing message a couple of times:

BusyBox v1.1.3 (debian1:1.1.3-5ubuntu9) Build in shell. Enter 'help'....

(initramfs)

So, i am clueless. I rebooted and manage to get in by using GRUB and started up in recovery mode wich told me the following:

Check root = bootarg cat /proc/cmdune
or missing modules, devices /proc/modules Is /dev
ALERT!: /dev/disk/by-uuid/8c9b8a04-54f0-4579-8e5d-5efec8afd02e does not exist. Dropping to shell.

Now i am using 8.04 now without that much problems, still i have no idear on how to solve this matter. Can anyone help me out?

Thanks!

Hellsgator

What method did you use to upgrade? Also if you're new to Ubuntu, it's not suggested to run Hardy until it is released as it is still in development. You might find this forum thread useful:

http://ubuntuforums.org/showthread.php?t=600644

Heya,

Thanks for the reply. I used "update-manager -d". It turned out be a problem with a NVidia graphics-card and after i pulled it out, Hardy installed normaly.

And, yes, i am still kinda new to Linux and figuring it out along the way. There is a lot of info to be found and i don't mind when it goes wrong sometimes. I am used to Windows, where there is always something wrong. So far the new version works fine, it is being updated daily and sends out status reports on a weekly basis, Hardly found any bugs so far.

Greetings,

Rickus
----------------------------------------
> From: <email address hidden>
> To: <email address hidden>
> Date: Fri, 1 Feb 2008 21:22:57 +0000
> Subject: [Bug 184758] Re: Upgrade error Gutsy to Hardy
>
> What method did you use to upgrade? Also if you're new to Ubuntu, it's
> not suggested to run Hardy until it is released as it is still in
> development. You might find this forum thread useful:
>
> http://ubuntuforums.org/showthread.php?t=600644
>
> --
> Upgrade error Gutsy to Hardy
> https://bugs.launchpad.net/bugs/184758
> You received this bug notification because you are a direct subscriber
> of the bug.

_________________________________________________________________
Jouw nieuws en entertainment, vind je op MSN.nl!
http://nl.msn.com/

Brian Murray (brian-murray) wrote :

This bug report is being closed due to your last comment regarding this being fixed with some configuration changes. For future reference you can manage the status of your own bugs by clicking on the current status in the yellow line and then choosing a new status in the drop down box. You can learn more about bug statuses at http://wiki.ubuntu.com/Bugs/Status . Thank you again for taking the time to report this bug and helping to make Ubuntu better. Feel free to submit any future bugs you may find.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers